cloudstack-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "frank zhang (JIRA)" <j...@apache.org>
Subject [jira] [Assigned] (CLOUDSTACK-4370) [packaging]unable to upgrade cp 4.2 build on centos5.5
Date Mon, 19 Aug 2013 22:09:49 GMT

     [ https://issues.apache.org/jira/browse/CLOUDSTACK-4370?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

frank zhang reassigned CLOUDSTACK-4370:
---------------------------------------

    Assignee: Rayees Namathponnan  (was: frank zhang)
    
> [packaging]unable to upgrade cp 4.2 build on centos5.5
> ------------------------------------------------------
>
>                 Key: CLOUDSTACK-4370
>                 URL: https://issues.apache.org/jira/browse/CLOUDSTACK-4370
>             Project: CloudStack
>          Issue Type: Bug
>      Security Level: Public(Anyone can view this level - this is the default.) 
>          Components: Packaging
>    Affects Versions: 4.2.0
>         Environment: Two advanced zone one xen and one vmware
> upgrade from 3.0.4 patch1 to 4.2 on centos 5.5
> build :
>   CloudPlatform-4.2-4.2-78-rhel5
>            Reporter: shweta agarwal
>            Assignee: Rayees Namathponnan
>            Priority: Blocker
>             Fix For: 4.2.0
>
>
> upgrade from 3.0.4 patch1 to 4.2 on centos 5.5 failed with dependency missing errors
> Steps :
> 1. Installed Management server and usage server of 3.0.4 patch 1 on centos5.5 machine
> 2. installed epel repo : rpm -Uvh http://mirror.pnl.gov/epel/5/i386/epel-release-5-4.noarch.rpm
> 3 installed jsvc :    rpm -Uvh http://download.cloud.com/support/jsvc/jakarta-commons-daemon-jsvc-1.0.1-8.9.el6.x86_64.rpm
> 4. untar 4.2 build and used U option 
> Getting dependency error :
>     Q) Quit
>  > U
> Updating the CloudPlatform and its dependencies...
> Loaded plugins: fastestmirror
> Determining fastest mirrors
>  * addons: centos.excellmedia.net
>  * base: centos.excellmedia.net
>  * epel: epel.mirror.net.in
>  * extras: centos.excellmedia.net
>  * jpackage-generic: ftp.heanet.ie
>  * jpackage-generic-updates: ftp.heanet.ie
>  * updates: centos.excellmedia.net
> addons                                                                              
                                                            | 1.9 kB     00:00
> addons/primary_db                                                                   
                                                            | 1.1 kB     00:00
> base                                                                                
                                                            | 1.1 kB     00:00
> base/primary                                                                        
                                                            | 1.2 MB     00:05
> base                                                                                
                                                                         3641/3641
> cloud-temp                                                                          
                                                            |  951 B     00:00
> epel                                                                                
                                                            | 3.6 kB     00:00
> epel/primary_db                                                                     
                                                            | 3.8 MB     00:06
> extras                                                                              
                                                            | 2.1 kB     00:00
> extras/primary_db                                                                   
                                                            | 188 kB     00:01
> jpackage-generic                                                                    
                                                            | 2.3 kB     00:00
> jpackage-generic/primary_db                                                         
                                                            | 1.0 MB     00:10
> jpackage-generic-updates                                                            
                                                            | 2.3 kB     00:00
> jpackage-generic-updates/primary_db                                                 
                                                            |  12 kB     00:00
> updates                                                                             
                                                            | 1.9 kB     00:00
> updates/primary_db                                                                  
                                                            | 602 kB     00:02
> Setting up Update Process
> Resolving Dependencies
> --> Running transaction check
> ---> Package cloudstack-agent.x86_64 0:4.2.0-SNAPSHOT.el5 set to be updated
> --> Processing Dependency: jna >= 3.2.4 for package: cloudstack-agent
> --> Processing Dependency: qemu-kvm for package: cloudstack-agent
> --> Processing Dependency: qemu-img for package: cloudstack-agent
> --> Processing Dependency: libvirt for package: cloudstack-agent
> --> Processing Dependency: ebtables for package: cloudstack-agent
> --> Processing Dependency: ipset for package: cloudstack-agent
> --> Processing Dependency: bridge-utils for package: cloudstack-agent
> ---> Package cloudstack-awsapi.x86_64 0:4.2.0-SNAPSHOT.el5 set to be updated
> ---> Package cloudstack-common.x86_64 0:4.2.0-SNAPSHOT.el5 set to be updated
> ---> Package cloudstack-management.x86_64 0:4.2.0-SNAPSHOT.el5 set to be updated
> --> Processing Dependency: mysql-connector-java for package: cloudstack-management
> ---> Package cloudstack-usage.x86_64 0:4.2.0-SNAPSHOT.el5 set to be updated
> --> Running transaction check
> ---> Package bridge-utils.x86_64 0:1.1-3.el5 set to be updated
> ---> Package cloudstack-agent.x86_64 0:4.2.0-SNAPSHOT.el5 set to be updated
> --> Processing Dependency: qemu-kvm for package: cloudstack-agent
> --> Processing Dependency: ipset for package: cloudstack-agent
> ---> Package ebtables.x86_64 0:2.0.9-5.el5 set to be updated
> ---> Package jna.x86_64 0:3.4.0-4.el5 set to be updated
> --> Processing Dependency: libffi for package: jna
> --> Processing Dependency: libffi.so.5()(64bit) for package: jna
> ---> Package libvirt.x86_64 0:0.8.2-29.el5_9.1 set to be updated
> --> Processing Dependency: libselinux >= 1.33.4-5.6 for package: libvirt
> --> Processing Dependency: xz for package: libvirt
> --> Processing Dependency: cyrus-sasl-md5 for package: libvirt
> --> Processing Dependency: iscsi-initiator-utils for package: libvirt
> --> Processing Dependency: libxenstore.so.3.0()(64bit) for package: libvirt
> ---> Package mysql-connector-java.x86_64 1:5.1.12-2.el5 set to be updated
> --> Processing Dependency: jta >= 1.0 for package: mysql-connector-java
> --> Processing Dependency: log4j for package: mysql-connector-java
> ---> Package qemu-img.x86_64 2:0.10.5-1.el5.2 set to be updated
> --> Running transaction check
> ---> Package cloudstack-agent.x86_64 0:4.2.0-SNAPSHOT.el5 set to be updated
> --> Processing Dependency: qemu-kvm for package: cloudstack-agent
> --> Processing Dependency: ipset for package: cloudstack-agent
> ---> Package cyrus-sasl-md5.x86_64 0:2.1.22-7.el5_8.1 set to be updated
> --> Processing Dependency: cyrus-sasl-lib = 2.1.22-7.el5_8.1 for package: cyrus-sasl-md5
> ---> Package geronimo-jta-1.1-api.noarch 0:1.2-13.jpp5 set to be updated
> --> Processing Dependency: geronimo-specs-poms = 1.2-13.jpp5 for package: geronimo-jta-1.1-api
> ---> Package iscsi-initiator-utils.x86_64 0:6.2.0.872-16.el5 set to be updated
> ---> Package libffi.x86_64 0:3.0.5-1.el5 set to be updated
> --> Processing Dependency: libselinux = 1.33.4-5.5.el5 for package: libselinux-utils
> --> Processing Dependency: libselinux = 1.33.4-5.5.el5 for package: libselinux-python
> ---> Package libselinux.i386 0:1.33.4-5.7.el5 set to be updated
> ---> Package libselinux.x86_64 0:1.33.4-5.7.el5 set to be updated
> ---> Package log4j.noarch 0:1.2.14-15.jpp5 set to be updated
> --> Processing Dependency: jaf_1_0_2_api for package: log4j
> --> Processing Dependency: mx4j for package: log4j
> --> Processing Dependency: jms_1_1_api for package: log4j
> --> Processing Dependency: javamail_1_3_1_api for package: log4j
> ---> Package xen-libs.x86_64 0:3.0.3-142.el5_9.3 set to be updated
> --> Processing Dependency: libext4fs.so.2()(64bit) for package: xen-libs
> --> Processing Dependency: liblzma.so.0()(64bit) for package: xen-libs
> ---> Package xz.x86_64 0:4.999.9-0.3.beta.20091007git.el5 set to be updated
> --> Running transaction check
> ---> Package classpathx-mail.noarch 0:1.1.2-1.jpp5 set to be updated
> --> Processing Dependency: jaf_1_1_api for package: classpathx-mail
> ---> Package cloudstack-agent.x86_64 0:4.2.0-SNAPSHOT.el5 set to be updated
> --> Processing Dependency: qemu-kvm for package: cloudstack-agent
> --> Processing Dependency: ipset for package: cloudstack-agent
> --> Processing Dependency: cyrus-sasl-lib = 2.1.22-5.el5_4.3 for package: cyrus-sasl
> --> Processing Dependency: cyrus-sasl-lib = 2.1.22-5.el5_4.3 for package: cyrus-sasl-plain
> --> Processing Dependency: cyrus-sasl-lib = 2.1.22-5.el5_4.3 for package: cyrus-sasl-plain
> --> Processing Dependency: cyrus-sasl-lib = 2.1.22-5.el5_4.3 for package: cyrus-sasl
> ---> Package cyrus-sasl-lib.i386 0:2.1.22-7.el5_8.1 set to be updated
> ---> Package cyrus-sasl-lib.x86_64 0:2.1.22-7.el5_8.1 set to be updated
> ---> Package e4fsprogs-libs.x86_64 0:1.41.12-3.el5 set to be updated
> ---> Package geronimo-jaf-1.0.2-api.noarch 0:1.2-13.jpp5 set to be updated
> ---> Package geronimo-jms-1.1-api.noarch 0:1.2-13.jpp5 set to be updated
> ---> Package geronimo-specs-poms.noarch 0:1.2-13.jpp5 set to be updated
> ---> Package libselinux-python.x86_64 0:1.33.4-5.7.el5 set to be updated
> ---> Package libselinux-utils.x86_64 0:1.33.4-5.7.el5 set to be updated
> ---> Package mx4j.x86_64 1:3.0.1-6jpp.4 set to be updated
> --> Processing Dependency: javamail >= 1.2-5jpp for package: mx4j
> --> Processing Dependency: bcel >= 5.0 for package: mx4j
> --> Processing Dependency: axis >= 1.1 for package: mx4j
> --> Processing Dependency: xml-commons-resolver for package: mx4j
> ---> Package xz-libs.x86_64 0:4.999.9-0.3.beta.20091007git.el5 set to be updated
> --> Running transaction check
> ---> Package axis.noarch 0:1.4-4.jpp5 set to be updated
> --> Processing Dependency: jakarta-commons-httpclient >= 1:3.0 for package: axis
> --> Processing Dependency: jakarta-commons-discovery for package: axis
> --> Processing Dependency: wsdl4j for package: axis
> ---> Package bcel.noarch 0:5.1-16.jpp5 set to be updated
> --> Processing Dependency: regexp for package: bcel
> ---> Package cloudstack-agent.x86_64 0:4.2.0-SNAPSHOT.el5 set to be updated
> --> Processing Dependency: qemu-kvm for package: cloudstack-agent
> --> Processing Dependency: ipset for package: cloudstack-agent
> ---> Package cyrus-sasl.i386 0:2.1.22-7.el5_8.1 set to be updated
> ---> Package cyrus-sasl.x86_64 0:2.1.22-7.el5_8.1 set to be updated
> ---> Package cyrus-sasl-plain.i386 0:2.1.22-7.el5_8.1 set to be updated
> ---> Package cyrus-sasl-plain.x86_64 0:2.1.22-7.el5_8.1 set to be updated
> ---> Package glassfish-jaf.noarch 0:1.1.0-5.jpp5 set to be updated
> ---> Package glassfish-javamail.noarch 0:1.4.0-3.jpp5 set to be updated
> ---> Package xml-commons-resolver.x86_64 0:1.1-1jpp.12 set to be updated
> --> Running transaction check
> ---> Package cloudstack-agent.x86_64 0:4.2.0-SNAPSHOT.el5 set to be updated
> --> Processing Dependency: qemu-kvm for package: cloudstack-agent
> --> Processing Dependency: ipset for package: cloudstack-agent
> ---> Package jakarta-commons-discovery.noarch 1:0.4-6.jpp5 set to be updated
> ---> Package jakarta-commons-httpclient.noarch 1:3.0.1-3.jpp5 set to be updated
> ---> Package regexp.noarch 0:1.5-1.jpp5 set to be updated
> ---> Package wsdl4j.noarch 0:1.6.2-6.jpp5 set to be updated
> --> Finished Dependency Resolution
> cloudstack-agent-4.2.0-SNAPSHOT.el5.x86_64 from cloud-temp has depsolving problems
>   --> Missing Dependency: qemu-kvm is needed by package cloudstack-agent-4.2.0-SNAPSHOT.el5.x86_64
(cloud-temp)
> cloudstack-agent-4.2.0-SNAPSHOT.el5.x86_64 from cloud-temp has depsolving problems
>   --> Missing Dependency: ipset is needed by package cloudstack-agent-4.2.0-SNAPSHOT.el5.x86_64
(cloud-temp)
> Error: Missing Dependency: ipset is needed by package cloudstack-agent-4.2.0-SNAPSHOT.el5.x86_64
(cloud-temp)
> Error: Missing Dependency: qemu-kvm is needed by package cloudstack-agent-4.2.0-SNAPSHOT.el5.x86_64
(cloud-temp)
>  You could try using --skip-broken to work around the problem
>  You could try running: package-cleanup --problems
>                         package-cleanup --dupes
>                         rpm -Va --nofiles --nodigest
> The program package-cleanup is found in the yum-utils package.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message